import forms from "npm:@tailwindcss/forms";
import typography from "npm:@tailwindcss/typography";

export default {
  theme: {
    fontFamily: {
      sans: ["Inter", "sans-serif"],
      mono: ["Fantasque", "monospace"],
      serif: ["Roboto Slab", "serif"],
    },
    colors: {
      bg: {
        hard: "#0a0a0a",
        soft: "#1a1a1a",
        0: "#0f0f0f",
      },
      fg: {
        0: "#00ff00",
        link: "#00cc00",
        currentPage: "#00aa00",
        dark: "#008800",
      },
    },
  },
  plugins: [typography],
  corePlugins: {
    preflight: false,
  },
}; 